package com.jscape.inet.proxy.socks.protocol.v4.messages;

import java.net.Inet4Address;

import static com.jscape.util.Parameters.assertNotNull;

/**
 * @author Alex Usun
 */
public abstract class CommandRequest
        extends Message {

    public final int port;
    public final Inet4Address ip;
    public final String userId;

    protected CommandRequest(int port, Inet4Address ip, String userId) {
        this.port = port;

        assertNotNull(ip);
        this.ip = ip;

        assertNotNull(userId);
        this.userId = userId;
    }

}
